/*
Theme Name: Seneca Landscapes
Description: This is a child theme created for GeneratePress.
Author: 8 Dot Graphics
Author URI: https://www.8dotgraphics.com/
Version: 1.0

Template: generatepress
*/
.one-container .site-content {
  padding-top: 0;
  padding-bottom: 0;
}
body {overflow-x: hidden; width: 100%;}
.inside-header { padding: 10px 40px;}
hr {
	border: 0;
	border-collapse: collapse;
	border-bottom: 1px solid currentColor;
	clear: both;
	color: #eee;
	margin: 1.85em auto;
}
.wp-block-separator {  border-top: 1px solid;}
hr {height: 0;}
.entry-content:not(:first-child), .entry-summary:not(:first-child), .page-content:not(:first-child) { margin-top: 0;}
.generate-back-to-top {line-height: 1.925;}
.page .featured-image{display:none!important}

ul.wp-block-list {padding-left: 30px !important;margin-left: 0;}
ul.wp-block-list li{padding-top: 5px;padding-bottom: 5px;}
ol.wp-block-list li { margin-left: 2em !important;}
.dark, .dark h2, .dark h3, .dark h4, .dark h5 {color:#fff;}
.dark a{color:#fff;}
.dark a:hover{color:#CDE8F4;}
@media only screen and (max-width: 1200px) {
.wp-block-cover .wp-block-cover__inner-container{
  padding-left: 30px;
  padding-right: 30px;
}
.wp-block-group.alignfull {
  box-sizing: border-box;
  padding-left: 30px;
  padding-right: 30px;
}
}
/*---details---*/
.wp-block-details summary {
  font-weight: bold;
  border: .75px dotted #000;
    border-left-width: 0.75px;
    border-left-style: dotted;
    border-left-color: rgb(0, 0, 0);
  padding: 10px 25px;
  border-left: 3px solid var(--wp--preset--color--contrast-2) !important;
  margin-top: 10px;
}
.wp-block-details summary:hover{color:var(--wp--preset--color--contrast-2) !important;}
.wp-block-details ul.wp-block-list {margin-top: 20px !important;}

/*---foooter mods---*/
.footer-widgets,.site-footer {border-top: 0; color: #ffffff;}
.inside-footer-widgets p{line-height: 1.4em;}
.footer-widgets h2, .footer-widgets h3, .footer-widgets h4,.footer-widgets h5{margin-bottom: 10px;margin-top: 15px;}
.footer-widgets .wp-block-social-link a {
  font-size: 25px;
}

.footer-widgets .widget {
  margin-bottom: 10px;
}

.site-info {
  text-align: center;
  font-size: 12px;
}

/*---featured tweaks---*/
.single .wp-post-image{margin-bottom: 20px;}
*:focus {  outline: 0 !important;}

/*---block buttons----*/
.site-container .wp-block-button .wp-block-button__link {
border-radius: 8px !important;
}
.has-small-font-size a.wp-block-button__link {
    padding: 8px 18px!important;
}
.has-large-font-size a.wp-block-button__link {
    padding: 15px 25px!important;
}
:root :where(.wp-element-button, .wp-block-button__link) {
  color: #fff;
  border-radius: 8px;
}
/*---title bar----*/
header.entry-header{
  text-align: center;
}


/*----paddings & margins-----*/
.pt-0 {padding-top:0!important;}
.p-0 {padding:0!important;}
.pb-0 {padding-bottom:0!important;}
.pt-10 {padding-top:10px!important;}
.p-10 {padding:10px!important;}
.pb-10 {padding-bottom:10px!important;}
.pt-20 {padding-top:20px!important;}
.p-20 {padding:20px!important;}
.pb-20 {padding-bottom:20px!important;}
.pt-30 {padding-top:30px!important;}
.p-30 {padding:30px!important;}
.pb-30 {padding-bottom:30px!important;}
.pt-40 {padding-top:40px!important;}
.p-40 {padding:40px!important;}
.pb-40 {padding-bottom:40px!important;}
.pt-50 {padding-top:50px!important;}
.p-50 {padding:50px!important;}
.pb-50 {padding-bottom:50px!important;}
.pt-60 {padding-top:60px!important;}
.p-60 {padding:60px!important;}
.pb-60 {padding-bottom:60px!important;}
.mt-0 {margin-top:0!important;}
.m-0 {margin:0!important;}
.mb-0 {margin-bottom:0!important;}
.mt-10 {margin-top:10px!important;}
.m-10 {margin:10px!important;}
.mb-10 {margin-bottom:10px!important;}
.mt-20 {margin-top:20px!important;}
.m-20 {margin:20px!important;}
.mb-20 {margin-bottom:20px!important;}
.mt-30 {margin-top:30px!important;}
.m-30 {margin:30px!important;}
.mb-30 {margin-bottom:30px!important;}
.mt-40 {margin-top:40px!important;}
.m-40 {margin:40px!important;}
.mb-40 {margin-bottom:40px!important;}
.mt-50 {margin-top:50px!important;}
.m-50 {margin:50px!important;}
.mb-50 {margin-bottom:50px!important;}
.mt-60 {margin-top:60px!important;}
.m-60 {margin:60px!important;}
.mb-60 {margin-bottom:60px!important;}

/*----dark----*/
.dark h1, .dark h2, .dark h3, .dark h4, .dark,.dark h5 {color:#fff!important;}


/*---quotes---*/
.wp-block-quote{max-width:900px!important;margin-left:auto!important;margin-right:auto!important;}
.wp-block-pullquote p, .wp-block-quote p {font-style: normal!important;line-height: 1.5!important;}
.wp-block-pullquote cite, .wp-block-quote cite {
  color: inherit !important;
  font-style: normal!important;  color: inherit;
  font-size: 17px;
line-height: 1.7em;
  font-weight: 400;
  display: block;
}
@media only screen and (max-width: 767px) {
.wp-block-pullquote p, .wp-block-quote p { font-size: 21px!important;}
}
@media only screen and (max-width: 550px) {
.wp-block-pullquote p, .wp-block-quote p { font-size: 19px!important;}
}
.gform_required_legend{font-size:70%}
/*---blog---*/
.blog .inside-article, .archive .inside-article {
  padding: 0 0 0 0!important;
  box-shadow: 0px 15px 25px -10px rgba(0,0,0,.05);
  border-radius: .25rem;
  background: var(--global-palette9, #fff);
  margin: 0 0 2em;
}
.blog .inside-article .entry-header, .archive .inside-article .entry-header{
  padding: 2rem 2rem 0 2rem;margin-top: 0;}
.wp-block-kadence-posts header.entry-header{margin-top: 0;}
.blog .inside-article .entry-header h2, .archive .inside-article .entry-header h2{
  font-weight: 700;
  text-transform: initial;
  font-size: 20px;
  letter-spacing: -.02em;
}
.wp-block-kadence-posts .entry-meta {
  display: block!important;
  text-align: center!important;
}
.wp-block-kadence-posts h3.entry-title a {
 color: var(--accent);
}
.wp-block-kadence-posts h3.entry-title a:hover {
  color: var(--contrast-2);
}
.blog .inside-article .entry-summary, .archive .inside-article .entry-summary{padding: 1rem 2rem 1rem 2rem;}
.blog .inside-article div.post-image, .archive .inside-article div.post-image  { margin-bottom: 0!important;}
.blog .inside-article a,.blog .paging-navigation a,.blog .comments-area a, .blog .page-header a, 
.archive .inside-article a,.archive .paging-navigation a,.archive .comments-area a, .archive .page-header a  { color: var(--accent);}
.blog .inside-article a:hover, .blog .paging-navigation a:hover, .archive .inside-article a:hover, .archive .paging-navigation a:hover { color: var(--contrast-2);}
.blog .site-content, .archive .site-content  { padding-top: 4em; padding-bottom: 4em;}
.archive h1.page-title{font-size: 38px;
  text-align: center;
  margin: 1rem 0 2rem;
  text-transform: uppercase;}
.read-more {font-weight:bold; text-transform:uppercase;}
#nav-below {
    margin-top: 10px;
}
.nav-previous,
.nav-next {
    position: relative;
    margin-top: 10px;
}
#nav-below .nav-previous a,
#nav-below .nav-next a {
    display: block;
    padding: 20px 40px;
}
#nav-below .nav-previous a:hover,
#nav-below .nav-next a:hover {
}
.nav-previous .gp-icon,
.nav-next .gp-icon {
    position: absolute;
    top: calc(50% - 15px);
    left: 10px;
    font-size: 20px;
}
.nav-next .gp-icon {
    left: unset;
    right: 0;
}
@media(min-width: 600px) {
    #nav-below {
        display: flex;
        justify-content: space-between;      
    }
    .nav-previous,
    .nav-next {
        max-width: calc(50% - 10px);
    }
}
footer .cat-links, footer .tags-links, .single .inside-article .featured-image{display:none!important;}
.author a{pointer-events:none!important;}
.single-post .container.grid-container { max-width: 1000px;}
.wp-block-post-title a { text-decoration: none;}
.wp-block-post-excerpt__more-link {
 text-transform:uppercase;
  margin-top: 10px;
  text-decoration: none;
  font-weight: 700;
  font-size: 16px;
}
.wp-block-post-excerpt__more-link:hover{color: var(--dark)!important;border: 2px solid var(--dark);}
.wp-block-query .is-layout-grid > :is(*, div) {
  border: 1px solid #e6e6e6;
  border-radius: 8px;
}
.single .site-content {
  padding-bottom: 40px;
}
header.entry-header {
  margin-top: 2em;
}
.single .entry-meta {
  margin-top: 1.6em;
  line-height: 1.3;
  margin-bottom: 1.6em;
}
.wp-block-file * + .wp-block-file__button {
  background-color: var(--accent);
  color: #fff;
  font-weight: bold;
}
.wp-block-pullquote {padding: 1em 0!important;}
blockquote { border-left: 0 solid rgba(0,0,0,.05); padding: 0; font-size: 1.2em; font-style: normal;}

.sticky-enabled .main-navigation.is_stuck, .site-header, .mobile-header-navigation {
  box-shadow:0 3px 3px -2px rgba(0, 0, 0, .3);
}
.site-header, #mobile-header {
  z-index: 3000;
}
.site-logo.mobile-header-logo img {
  height: 110px!important;
}
.sticky-enabled .main-navigation.is_stuck .grid-container {
  max-width:95%;
}
@media (max-width: 940px) {
.main-navigation.navigation-stick.has-sticky-branding .inside-navigation.grid-container {
    padding: 0px;
    padding-right: 0px;
    padding-left: 0px;
  }
.site-logo.mobile-header-logo img { height: 80px !important;}
#mobile-header {position: relative;}
	.sticky-enabled .main-navigation.is_stuck .grid-container {
  max-width: 100%;
}
}

.mobile-menu-control-wrapper .menu-toggle, .mobile-menu-control-wrapper .menu-toggle:hover{background-color:transparent;}
.phone.menu-item a{
  font-weight: 800;
  color: var(--accent)!important;
}
.phone.menu-item a:hover{
  color:var(--contrast)!important;
}
/*---buttons----*/
.wp-block-button .wp-block-button__link {
  -moz-box-shadow: 1px 1px 4px rgba(0,0,0,0.3);
  -webkit-box-shadow: 1px 1px 4px rgba(0,0,0,0.3);
  box-shadow: 1px 1px 4px rgba(0,0,0,0.3);
	text-shadow: 1px 1px 3px rgba(0,0,0,0.3);
}
.wp-block-button .wp-block-button__link.has-base-3-background-color{
	-moz-box-shadow:none!important;
  -webkit-box-shadow:none!important;
  box-shadow:none !important;text-shadow:none;}
.wp-block-button .wp-block-button__link:hover{text-decoration:none!important;}
.wp-block-button .wp-block-button__link.has-base-3-background-color:hover{text-decoration:underline!important;}

/*---color----*/
.has-accent-background-color {
  background-image: linear-gradient(345deg,rgb(215,46,49) 39%,rgb(184, 18, 20) 100%);
}
